Subject: Re: git clone does not understand insteadOf URLs

From: Gioele Barabucci <[email-masked]>
Date: Sun, 26 May 2013 21:03:19 +0200

Il 26/05/2013 21:00, John Keeping ha scritto:
>> Regardless of the implementation of the commands, if I do
>>
>>       mkdir projectA
>>       cd projectA
>>       git init .
>>       git remote add origin remote-repo/projectA.git
>>       git pull origin master
>>
>> I get a working repository. If I do
>>
>>       git clone remote-repo/projectA.git
>>
>> all I will get is an error.
>
> So the problem is that "git clone" does not seem to perform normal
> remote processing if you give it something that looks like a path.

I understand the problem. In the original email that started this thread 
I asked for...

> I suppose that git interprets the argument as a local directory. Git
> should see if the argument matches one of the known URLs before
> raising an error.

I think all the paths should mean the same in every git command. In this 
case, checking for insteadOf URLs before failing would solve this problem.

Regards,

-- 
Gioele Barabucci <[email-masked]>